Bug 1293093 - [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x21
[abrt] xorg-x11-server-Xorg: Segmentation fault at address 0x21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:0b6ccd0ee08533a06e63063ec74...
:
: 1267205 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-19 23:55 EST by Alexander Demchenko
Modified: 2016-12-20 12:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:11:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: Xorg.0.log (26.81 KB, text/plain)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details
File: backtrace (435 bytes, text/plain)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details
File: dmesg (83.07 KB, text/plain)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details
File: dso_list (279 bytes, text/plain)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (569 bytes, application/octet-stream)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.26 KB, application/octet-stream)
2015-12-19 23:55 EST, Alexander Demchenko
no flags Details

  None (edit)
Description Alexander Demchenko 2015-12-19 23:55:09 EST
Description of problem:
I have notebook Lenovo T410s with Fedora 23 installed. Every time when i plug in or un-plug power cord x-server crashes and lost my session.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
executable:     /usr/bin/X
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59adf9]
1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7fd2b30fdb1f]
2: /usr/lib64/xorg/modules/drivers/modesetting_drv.so (_init+0x3666) [0x7fd2ad8ad396]
3: /usr/libexec/Xorg (InitOutput+0xacb) [0x47b09b]
4: /usr/libexec/Xorg (remove_fs_handlers+0x264) [0x43a6a4]
5: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7fd2b30e9580]
6: /usr/libexec/Xorg (_start+0x29) [0x424b79]
7: ? (?+0x29) [0x29]
Comment 1 Alexander Demchenko 2015-12-19 23:55:14 EST
Created attachment 1107883 [details]
File: Xorg.0.log
Comment 2 Alexander Demchenko 2015-12-19 23:55:16 EST
Created attachment 1107884 [details]
File: backtrace
Comment 3 Alexander Demchenko 2015-12-19 23:55:20 EST
Created attachment 1107887 [details]
File: dmesg
Comment 4 Alexander Demchenko 2015-12-19 23:55:22 EST
Created attachment 1107889 [details]
File: dso_list
Comment 5 Alexander Demchenko 2015-12-19 23:55:25 EST
Created attachment 1107890 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 6 Alexander Demchenko 2015-12-19 23:55:27 EST
Created attachment 1107891 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 7 Alexander Demchenko 2015-12-19 23:58:07 EST
*** Bug 1267205 has been marked as a duplicate of this bug. ***
Comment 8 Fedora End Of Life 2016-11-24 09:23:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 12:11:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.